DCOPStub class Reference (dcop Library)

| # dcop Library API Documentation
Overview | Class Hierarchy | Classes | Classes (annotated) | Members | Source Files

# DCOPStub Class Reference

Abstract base class for dcop stubs as created by the dcopidl2cpp compiler. More...

`#include <dcopstub.h>`

Collaboration diagram for DCOPStub:

[legend]
List of all members.

## Public Types
enum | Status { CallSucceeded, CallFailed }
## Public Member Functions
| DCOPStub (const QCString &app, const QCString &obj)
| Creates a DCOPStub for application `app` and object `obj`.
| DCOPStub (DCOPClient *client, const QCString &app, const QCString &obj)
| Creates a DCOPStub for application `app` and object `obj` that operates on the DCOPClient `client`.
QCString | app () const
| Return the application id.
QCString | obj () const
| Return the object id.
Status | status () const
| Return the status of the last call, either `CallSucceeded` or `CallFailed`.
bool | ok () const
| Return whether no error occured,.
## Protected Types
enum | never_use_t { never_use }
## Protected Member Functions
void | setStatus (Status _status)
| Sets the status to status.
virtual void | callFailed ()
| Invoked whenever a call fails.
DCOPClient * | dcopClient ()
| The dcopClient this stub operates on.
| DCOPStub (never_use_t)
virtual void | virtual_hook (int id, void *data)

## Detailed Description

Abstract base class for dcop stubs as created by the dcopidl2cpp compiler.

Definition at line 39 of file dcopstub.h.

## Constructor & Destructor Documentation

DCOPStub::DCOPStub | ( | const QCString & | app,
|  | const QCString & | obj
| ) |

  | Creates a DCOPStub for application `app` and object `obj`. Parameters:
  app | the application id
  obj | the object id
Definition at line 35 of file dcopstub.cpp.

DCOPStub::DCOPStub | ( | DCOPClient * | client,
|  | const QCString & | app,
|  | const QCString & | obj
| ) |

  | Creates a DCOPStub for application `app` and object `obj` that operates on the DCOPClient `client`. Parameters:
  client | the DCOPClient
  app | the application id
  obj | the object id
Definition at line 40 of file dcopstub.cpp.

## Member Function Documentation

QCString DCOPStub::app | ( |  | ) | const

| Return the application id. Returns: the application id Definition at line 81 of file dcopstub.cpp.

QCString DCOPStub::obj | ( |  | ) | const

| Return the object id. Returns: the object id Definition at line 86 of file dcopstub.cpp.

DCOPStub::Status DCOPStub::status | ( |  | ) | const

| Return the status of the last call, either `CallSucceeded` or `CallFailed`. Returns: the status of the last call See also: ok(); Definition at line 61 of file dcopstub.cpp.

bool DCOPStub::ok | ( |  | ) | const

| Return whether no error occured,. Returns: true if the last call was successful, false otherwise See also: status(); Definition at line 71 of file dcopstub.cpp.

void DCOPStub::setStatus | ( | Status | _status | ) | `[protected]`

  | Sets the status to status. Possible values are 'CallSucceeded' and 'CallFailed' Parameters:
  _status | the new status
See also: status() Definition at line 66 of file dcopstub.cpp. Referenced by callFailed().

void DCOPStub::callFailed | ( |  | ) | `[protected, virtual]`

| Invoked whenever a call fails. The default implementation sets the status to CallFailed. Definition at line 76 of file dcopstub.cpp. References setStatus().

DCOPClient * DCOPStub::dcopClient | ( |  | ) | `[protected]`

| The dcopClient this stub operates on. Either the specific one specified in the constructor or DCOPClient::mainClient. Returns: the stub's DCOPClient Definition at line 54 of file dcopstub.cpp. References DCOPClient::mainClient().

The documentation for this class was generated from the following files:

- dcopstub.h
- dcopstub.cpp

This file is part of the documentation for kdelibs Version 3.1.5.
Documentation copyright © 1996-2002 the KDE developers.
Generated on Wed Jan 28 12:42:50 2004 by doxygen 1.3.4 written by Dimitri van Heesch, © 1997-2001